<h1 mat-dialog-title>Adicionar Exercício</h1>
<form [formGroup]="form" (submit)="onSubmit($event)">
    <mat-dialog-content>
        <mat-form-field>
            <mat-label>Exercício</mat-label>
            <mat-select formControlName="exercise" name="exercise">
                <mat-option
                    *ngFor="let exercise of exercises$ | async"
                    [value]="exercise.id"
                >
                    {{ exercise.name }}
                </mat-option>
            </mat-select>

            <mat-error *ngIf="form.get('exercise').hasError('required')">
                O exercício é obrigatório
            </mat-error>

            <mat-icon matPrefix svgIcon="sprite:exercise"></mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Circuito</mat-label>
            <input
                matInput
                type="number"
                placeholder="N.º do Circuito"
                formControlName="circuit"
                name="circuit"
            />

            <mat-icon matPrefix>looks_one</mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Tempo</mat-label>
            <input
                matInput
                placeholder="Tempo (se aplicável)"
                formControlName="time"
                name="time"
            />

            <mat-icon matPrefix>timer</mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Repetições</mat-label>
            <input
                matInput
                placeholder="Repetições (se aplicável)"
                formControlName="repetitions"
                name="repetitions"
            />

            <mat-icon matPrefix svgIcon="sprite:repeat"></mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Séries</mat-label>
            <input
                matInput
                type="number"
                placeholder="Séries"
                formControlName="sets"
                name="sets"
            />

            <mat-icon matPrefix>list_alt</mat-icon>
        </mat-form-field>
    </mat-dialog-content>

    <mat-dialog-actions>
        <button
            mat-button
            color="primary"
            type="submit"
            [disabled]="!form.valid"
        >
            <mat-icon>add</mat-icon>
            Adicionar
        </button>
        <button mat-button color="accent" type="button" (click)="onClose()">
            <mat-icon>cancel</mat-icon>
            Cancelar
        </button>
    </mat-dialog-actions>
</form>
